@property --bg-angle {
  inherits: false;
  initial-value: 0deg;
  syntax: "<angle>";
}

:root {
  --bg-color: hsl(240deg 10% 12%);
  --bg-grain: url("data:image/svg+xml,%3Csvg viewBox='0 0 600 600' xmlns='http://www.w3.org/2000/svg'%3E%3Cfilter id='noiseFilter'%3E%3CfeTurbulence type='fractalNoise' baseFrequency='0.65' numOctaves='3' stitchTiles='stitch'/%3E%3C/filter%3E%3Crect width='100%25' height='100%25' filter='url(%23noiseFilter)'/%3E%3C/svg%3E");

  --shadow-size: max(140px, 40vw);
  --shadow-size-fallback: 40vw;
  --shadow-blur: 60;

  --color-1: #6328da;
  --color-2: #ff1bf1;
  --color-3: #008cea;

  --bg-1-x: 0;
  --bg-1-y: 0;
  --bg-2-x: 0;
  --bg-2-y: 0;
  --bg-3-x: 0;
  --bg-3-y: 0;
}
* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}
@keyframes spin {
  to {
    --bg-angle: 360deg;
  }
}

nav {
  display: flex;
  justify-content: space-between;
  align-items: center;
  gap: 3rem;
  width: 100%;
}
header{
  position: fixed;
  display: flex;
  z-index: 100;
  top: 0;
  background-color: rgba(0, 0, 0, 0.644);
  width: 100%;
  padding: 10px;
}
/* Estilo para el overlay que cubre toda la pantalla */
#overlayWarning {
  display: none;
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background-color: rgba(0, 0, 0, 0.967);
  z-index: 9999;
}

#mobileWarning {
  display: none;
  position: fixed;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  background-color: white;
  padding: 20px;
  border-radius: 5px;
  box-shadow: 0 0 10px rgba(0, 0, 0, 0.5);
  z-index: 10000;
}

#mobileWarning p{
  color: black;
  font-weight: bold;
  font-size: xx-large;
}
/**aqui */
a {
  text-decoration: none;
  color: white;
}

@keyframes bg {
  0% {
    --bg-1-x: calc(50 / 2);
    --bg-2-y: calc(80 / 2);
    --bg-2-x: calc(70 / 2);
    --bg-3-y: calc(40 / 2);
    --bg-3-x: calc(90 / 2);
  }

  25% {
    --bg-1-x: 30;
    --bg-2-y: 50;
    --bg-2-x: 80;
    --bg-3-y: 20;
    --bg-3-x: 70;
  }

  50% {
    --bg-1-x: 10;
    --bg-2-y: 40;
    --bg-2-x: 30;
    --bg-3-y: 80;
    --bg-3-x: 50;
  }

  75% {
    --bg-1-x: 70;
    --bg-2-y: 10;
    --bg-2-x: 50;
    --bg-3-y: 30;
    --bg-3-x: 40;
  }

  100% {
    --bg-1-x: calc(50 / 2);
    --bg-2-y: calc(80 / 2);
    --bg-2-x: calc(70 / 2);
    --bg-3-y: calc(40 / 2);
    --bg-3-x: calc(90 / 2);
  }
}


.active_flex ul {
  justify-content: center;
  align-items: center;
  display: flex;
  gap: 15px;
}
.active_flex ul li {
  list-style: none;
  font-weight: bold;
  text-transform: uppercase;
}
nav #close {
  display: none;
}
nav #open {
  z-index: 30;
  cursor: pointer;
}

#my_ul{
  display: none;
}

/* Media query para tabletas y dispositivos más grandes */
@media screen and (min-width: 740px) {
  * {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
  }
  header {
    background: #262626;
    width: 100%;
    -webkit-box-shadow: inset 0px -29px 28px -8px rgb(0, 0, 0);
    -moz-box-shadow: inset 0px -29px 28px -8px rgba(255, 255, 255, 1);
    box-shadow: inset 0px -29px 28px -8px rgb(0, 0, 0)
  }
  nav {
    display: flex;
    align-items: center;
    justify-content: space-between;
    width: 100%;
    padding: 0rem 2rem;
  }
  nav #open {
    display: none;
  }
  
  #my_ul {
    position: relative;
    display: flex;
    justify-content: space-between;
    gap: 2rem;
    font-weight: bold;
    list-style: none;
  }
  .active_li {
    animation: spin 2.5s infinite linear paused;
    display: flex;
    align-items: center;
    justify-content: center;
    text-align: center;
    color: white;
    background: linear-gradient(
          to bottom,
          oklch(0.1 0.2 240 / 0.95),
          oklch(0.1 0.2 240 / 0.95)
        )
        padding-box,
      conic-gradient(
          from var(--bg-angle) in oklch longer hue,
          oklch(0.85 0.37 0) 0 0
        )
        border-box;
    border: 15px solid transparent;
    border-radius: 3px 3px 3px 3px;
    &:hover {
      animation-play-state: running;
    }
  }

  .list box-icon{
    position: absolute;
  }
  /** nuevo */
  @keyframes borderChange {
    0% {
      border-color: red;
    }
    25% {
      border-color: blue;
    }
    50% {
      border-color: green;
    }
    75% {
      border-color: yellow;
    }
    100% {
      border-color: red;
    }
  }
}

/* Media query para pantallas de escritorio */
@media screen and (min-width: 1024px) {
}
